View Issue Details

IDProjectCategoryView StatusLast Update
0006745Talerexchangepublic2021-09-02 18:14
Reportersebasjm Assigned Tosebasjm  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006745: seg fault on exchange using --parallelism
DescriptionA little investigation found that shutdown is being done before workers was initialized.

To reproduce:
touch asd && taler-exchange-secmod-rsa -c asd -p 1
same with taler-exchange-secmod-eddsa

The fix is easy, there is a missing check for initialization.
Steps To ReproduceRun taler-exchange-secmod-rsa or taler-exchange-secmod-eddsa with an empty configuration and parallelism
TagsNo tags attached.

Activities

sebasjm

2021-02-08 00:14

developer   ~0017507

fixed in 93347b39

sebasjm

2021-09-02 18:14

developer   ~0018234

Fix committed to master branch.

Related Changesets

exchange: master 93347b39

2021-02-08 00:11:24

sebasjm

Details Diff
fix 0006745 Affected Issues
0006745
mod - src/util/taler-exchange-secmod-eddsa.c Diff File
mod - src/util/taler-exchange-secmod-rsa.c Diff File

Issue History

Date Modified Username Field Change
2021-02-08 00:09 sebasjm New Issue
2021-02-08 00:09 sebasjm Status new => assigned
2021-02-08 00:09 sebasjm Assigned To => Christian Grothoff
2021-02-08 00:14 sebasjm Note Added: 0017507
2021-02-09 15:13 Christian Grothoff Assigned To Christian Grothoff => sebasjm
2021-02-09 15:13 Christian Grothoff Status assigned => resolved
2021-02-09 15:13 Christian Grothoff Resolution open => fixed
2021-02-09 15:13 Christian Grothoff Fixed in Version => 0.9
2021-02-09 15:14 Christian Grothoff Target Version git (master) => 0.9
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:02 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:13 sebasjm Changeset attached => Taler-exchange master 93347b39
2021-09-02 18:14 sebasjm Note Added: 0018234